Idaho (ID) EVR API - Sandbox

Creates a transaction in VITU system

Creates a transaction in VITU system

post
https://api-test.vitu.com/national-public-api/v2/transaction

Query Parameters

callbackUrlstring(uri)

the location where data will be sent. Must be network accessible by the source server

Match pattern:^https?://

<= 1048576 characters

Example:https://vitu.com/example

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example:EVR

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

IDEVRTransactionDTO

statestring

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWYOther

<= 1048576 characters

Example:ID

refNumberstring(uuid)

<= 1048576 characters

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6

applicationTypestring

Type of transaction

Allowed values:TitleAndRegistrationTitleOnlyTaxOnly

<= 1048576 characters

Example:TitleAndRegistration

serviceTypestring

Allowed values:FormsAndFeesFullService

<= 1048576 characters

Example:FormsAndFees

loanNumberstring | null

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:LN-7788990

locationIdinteger | null(int64)

>= -9007199254740991<= 9007199254740991

Example:1

saveForLaterboolean

Default:false

Example:true

isPremiumServiceboolean

Example:true

stateTransactionIdstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

registrationobject
Show Child Parameters
sellerobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
lessorobject
Show Child Parameters
lessee1object
Show Child Parameters
lessee2object
Show Child Parameters
lienholder1object
Show Child Parameters
previousTitleobject
Show Child Parameters
additionalAddressesobject
Show Child Parameters
leaseBuyoutobject
Show Child Parameters
vehicleobject
Show Child Parameters
tradeInVehiclesarray[object]

<= 100000 items

Show Child Parameters

Response

application/json

OK

object

Accepted — processing asynchronously

Callbacks

post
{$request.query.callbackUrl}

Callback Response

application/json

Target server returns this code if it accepts the callback

object

Accepted — processing asynchronously

post/transaction

Body

{}
 
application/json
callback sample
Callback Body
Callback Response
application/json

Updates a transaction in VITU system

Updates a transaction in VITU system

put
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example:EVR

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

IDEVRTransactionDTO

statestring

Allowed values:AKALARAZCACOCTDCDEFLGAHIIAIDILINKSKYLAMAMDMEMIMNMOMSMTNCNDNENHNJNMNVNYOHOKORPARISCSDTNTXUTVAVTWAWIWVWYOther

<= 1048576 characters

Example:ID

refNumberstring(uuid)

<= 1048576 characters

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6

applicationTypestring

Type of transaction

Allowed values:TitleAndRegistrationTitleOnlyTaxOnly

<= 1048576 characters

Example:TitleAndRegistration

serviceTypestring

Allowed values:FormsAndFeesFullService

<= 1048576 characters

Example:FormsAndFees

loanNumberstring | null

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:LN-7788990

locationIdinteger | null(int64)

>= -9007199254740991<= 9007199254740991

Example:1

saveForLaterboolean

Default:false

Example:true

isPremiumServiceboolean

Example:true

stateTransactionIdstring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:1234567

registrationobject
Show Child Parameters
sellerobject
Show Child Parameters
ownerobject
Show Child Parameters
coOwnerobject
Show Child Parameters
lessorobject
Show Child Parameters
lessee1object
Show Child Parameters
lessee2object
Show Child Parameters
lienholder1object
Show Child Parameters
previousTitleobject
Show Child Parameters
additionalAddressesobject
Show Child Parameters
leaseBuyoutobject
Show Child Parameters
vehicleobject
Show Child Parameters
tradeInVehiclesarray[object]

<= 100000 items

Show Child Parameters

Response

application/json

OK

object

Accepted — processing asynchronously

Callbacks

post
{$request.query.callbackUrl}

Callback Response

application/json

Target server returns this code if it accepts the callback

object

Accepted — processing asynchronously

put/transaction/{transactionId}

Body

{}
 
application/json
callback sample
Callback Body
Callback Response
application/json

TransactionTypeEnum

string

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

<= 1048576 characters

Example

Errors

array

>= 1 items<= 100000 items

messagestringrequired

Description of error

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Request processed successfully

Error

messagestringrequired

Description of error

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Request processed successfully

Example